=== log/test/CMakeLists.txt ===
add_subdirectory(integration)
