=== debian/changelog ===
ignition-transport (8.0.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest and add dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 19:34:20 +0200

ignition-transport (8.0.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Update d/watch to Github (switch suffix to ds)
  * Upload to unstable (Closes: #936728, #903286, #897326, #954615, #944925)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:35:53 +0200

ignition-transport (8.0.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Update d/watch
  * New upstream version 8.0.0+dfsg
  * Rebase and add patch
  * Update copyright
  * Update package names due to ABI change
  * Update packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Apr 2020 20:42:46 +0200
