=== debian/control ===
Source: ignition-transport
Standards-Version: 4.5.0
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper-compat (= 12),
               libgtest-dev,
               libprotoc-dev,
               libprotobuf-dev,
               protobuf-compiler,
               uuid-dev,
               libzmq3-dev (>= 3.0.0),
               libignition-msgs-dev (>= 5),
               libignition-cmake-dev (>= 2),
               libsqlite3-dev,
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/ignition-transport
Vcs-Git: https://salsa.debian.org/science-team/ignition-transport.git
Homepage: https://ignitionrobotics.org/libs/transport

Package: libignition-transport8-8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Transport Library - Shared library
 Ignition transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Ignition Robtics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the ignition transport libraries

Package: libignition-transport-dev
Architecture: any
Section: libdevel
Depends: libignition-transport8-8 (= ${binary:Version}),
         uuid-dev,
         libzmq3-dev (>= 3.0.0),
         libprotobuf-dev,
         libignition-msgs-dev (>= 5),
         libignition-cmake-dev (>= 2),
         ${misc:Depends}
Replaces: libignition-transport4-dev (<< 8.0.0+dfsg-1~)
Breaks: libignition-transport4-dev (<< 8.0.0+dfsg-1~)
Multi-Arch: same
Description: Ignition Robotics transport Library - Development files
 Ignition transport library combines ZeroMQ with Protobufs to create a fast and
 efficient message passing system. Asynchronous message publication and
 subscription is provided along with service calls and discovery.
 .
 Ignition Robtics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package ships the ignition transport development headers and libraries

Package: libignition-transport4-dev
Depends: libignition-transport-dev, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.
