## ignition-transport 11.0.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,19 +3,19 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-transport8 VERSION 8.0.0)
+project(ignition-transport11 VERSION 11.0.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
 # If you get an error at this line, you need to install ignition-cmake
-find_package(ignition-cmake2 REQUIRED)
+find_package(ignition-cmake2 2.8.0 REQUIRED)
 set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})
 
 #============================================================================
 # Configure the project
 #============================================================================
-ign_configure_project()
+ign_configure_project(VERSION_SUFFIX)
 
 #============================================================================
 # Set project-specific options
@@ -46,6 +46,20 @@
 # Find ZeroMQ
 ign_find_package(ZeroMQ VERSION 4 REQUIRED PRIVATE)
 
+if (UNIX AND NOT APPLE)
+  execute_process(COMMAND lsb_release -cs
+    OUTPUT_VARIABLE RELEASE_CODENAME
+    RESULT_VARIABLE LSB_RESULT
+    OUTPUT_STRIP_TRAILING_WHITESPACE
+  )
+
+  if( NOT (${LSB_RESULT} STREQUAL "0"))
+    message(WARNING "lsb_release executable not found. Disabling focal-specific workarounds")
+  elseif (${RELEASE_CODENAME} STREQUAL "focal")
+    set(UBUNTU_FOCAL 1)
+  endif()
+endif()
+
 #--------------------------------------
 # Find cppzmq
 ign_find_package(CPPZMQ REQUIRED PRIVATE
@@ -61,9 +75,14 @@
 endif()
 
 #--------------------------------------
+# Find ignition-utils
+ign_find_package(ignition-utils1 REQUIRED COMPONENTS cli)
+set(IGN_UTILS_VER ${ignition-utils1_VERSION_MAJOR})
+
+#--------------------------------------
 # Find ignition-msgs
-ign_find_package(ignition-msgs5 REQUIRED)
-set(IGN_MSGS_VER ${ignition-msgs5_VERSION_MAJOR})
+ign_find_package(ignition-msgs8 REQUIRED)
+set(IGN_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})
 
 #--------------------------------------
 # Find ifaddrs
