=== example/CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 project(ignition-transport-examples)
 
 # Find the Ignition_Transport library
-find_package(ignition-transport8 QUIET REQUIRED OPTIONAL_COMPONENTS log)
-set(IGN_TRANSPORT_VER ${ignition-transport8_VERSION_MAJOR})
+find_package(ignition-transport11 QUIET REQUIRED OPTIONAL_COMPONENTS log)
+set(IGN_TRANSPORT_VER ${ignition-transport11_VERSION_MAJOR})
 
 if (EXISTS "${CMAKE_SOURCE_DIR}/msgs/")
   # Message generation. Only required when using custom Protobuf messages.
@@ -28,18 +28,33 @@
     add_executable(bench bench.cc)
     target_link_libraries(bench
       ignition-transport${IGN_TRANSPORT_VER}::core
-      ${gflags_LIBRARIES})
+      ${gflags_LIBRARIES}
+      pthread)
   endif()
 endif()
 
-if (EXISTS "${CMAKE_SOURCE_DIR}/publisher_c.cc")
+if (NOT MSVC AND EXISTS "${CMAKE_SOURCE_DIR}/publisher_c.cc")
   add_executable(publisher_c publisher_c.cc)
   target_link_libraries(publisher_c ignition-transport${IGN_TRANSPORT_VER}::core)
+endif()
+if (NOT MSVC AND EXISTS "${CMAKE_SOURCE_DIR}/publisher_c_fast.cc")
+  add_executable(publisher_c_fast publisher_c_fast.cc)
+  target_link_libraries(publisher_c_fast ignition-transport${IGN_TRANSPORT_VER}::core)
 endif()
 
 if (EXISTS "${CMAKE_SOURCE_DIR}/subscriber_c.cc")
   add_executable(subscriber_c subscriber_c.cc)
   target_link_libraries(subscriber_c ignition-transport${IGN_TRANSPORT_VER}::core)
+endif()
+
+if (NOT MSVC AND EXISTS "${CMAKE_SOURCE_DIR}/subscriber_c_slow.cc")
+  add_executable(subscriber_c_slow subscriber_c_slow.cc)
+  target_link_libraries(subscriber_c_slow ignition-transport${IGN_TRANSPORT_VER}::core)
+endif()
+
+if (EXISTS "${CMAKE_SOURCE_DIR}/subscriber_stats.cc")
+  add_executable(subscriber_stats subscriber_stats.cc)
+  target_link_libraries(subscriber_stats ignition-transport${IGN_TRANSPORT_VER}::core)
 endif()
 
 if (EXISTS "${CMAKE_SOURCE_DIR}/publisher.cc")
@@ -104,7 +119,9 @@
     ignition-transport${IGN_TRANSPORT_VER}::core)
 endif()
 
-if (TARGET protobuf_compilation AND
+# FIXME(chapulina) Linking failure on Windows:
+# msgs\stringmsg.pb.cc : fatal error LNK1107: invalid or corrupt file: cannot read at 0x3028
+if (NOT MSVC AND TARGET protobuf_compilation AND
     EXISTS "${CMAKE_SOURCE_DIR}/publisher_custom_msg.cc")
   add_executable(publisher_custom_msg publisher_custom_msg.cc)
   target_link_libraries(publisher_custom_msg
@@ -114,7 +131,9 @@
   add_dependencies(publisher_custom_msg protobuf_compilation)
 endif()
 
-if (TARGET protobuf_compilation AND
+# FIXME(chapulina) Linking failure on Windows:
+# msgs\stringmsg.pb.cc : fatal error LNK1107: invalid or corrupt file: cannot read at 0x3028
+if (NOT MSVC AND TARGET protobuf_compilation AND
     EXISTS "${CMAKE_SOURCE_DIR}/subscriber_custom_msg.cc")
   add_executable(subscriber_custom_msg subscriber_custom_msg.cc)
   target_link_libraries(subscriber_custom_msg
