=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,13 @@
 # "gtest_sources" variable.
 ign_get_libsources_and_unittests(sources gtest_sources)
 
-# Skip command line tests for Windows, see
-# https://bitbucket.org/ignitionrobotics/ign-transport/issues/104
 if (MSVC)
-  list(REMOVE_ITEM gtest_sources ign_TEST.cc)
+  # Warning #4251 is the "dll-interface" warning that tells you when types used
+  # by a class are not being exported. These generated source files have private
+  # members that don't get exported, so they trigger this warning. However, the
+  # warning is not important since those members do not need to be interfaced
+  # with.
+  set_source_files_properties(${sources} ${gtest_sources} COMPILE_FLAGS "/wd4251 /wd4146")
 endif()
 
 # Create the library target.
@@ -16,9 +19,9 @@
   PUBLIC
     ignition-cmake${IGN_CMAKE_VER}::utilities
     ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
+    CPPZMQ::CPPZMQ
   PRIVATE
     ${ZeroMQ_TARGET}
-    CPPZMQ::CPPZMQ
 )
 
 # Windows system library provides UUID
@@ -57,6 +60,4 @@
 endif()
 
 # Command line support.
-if(NOT WIN32)
-  add_subdirectory(cmd)
-endif()
+add_subdirectory(cmd)
