=== debian/changelog ===
ignition-transport (11.0.0+ds-3) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 11 Jan 2022 18:14:02 +0000

ignition-transport (11.0.0+ds-2) experimental; urgency=medium

  [ Jose Luis Rivero ]
  * Fix patch format
  * Forwarded patch to upstream
  * Update msgs version for -dev package
  * Use an independent package for cli tools
  * Remove transitional package

  [ Jochen Sprickerhof ]
  * Remove wrong dependency
  * Add missing autopkgtest dependency

  [ Jose Luis Rivero ]
  * Depend on fixed version of ignition-utils

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 08 Dec 2021 19:23:56 +0000

ignition-transport (11.0.0+ds-1) experimental; urgency=medium

  [ Jose Luis Rivero ]
  * Bump standards to 4.6.0
  * Update metadata in copyright
  * Do not use gitlab custom file
  * Update copyright file
  * Patch and support for relocating binaries in libexec
  * Include cli helper binaries in -dev file
  * Update compat to 13
  * Use hardening=+all option
  * Install ruby files for ign-tools in -dev
  * Add ignition-tools to suggests
  * Update dependency on ignition-utils
  * Add autopkgtest for cmake

  [ Jochen Sprickerhof ]
  * Add patch for broken libzmq3-dev

  [ Jose Luis Rivero ]
  * New upstream version 11.0.0+ds
  * Update metadata to SONAME 11

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 23 Nov 2021 23:05:25 +0000
