=== debian/tests/control ===
Tests: build
Depends: libignition-transport-dev, pkg-config, build-essential, cmake
